package com.ruoyi.interfaces.service;

import java.util.List;
import com.ruoyi.interfaces.domain.PtServiceReturn;

/**
 * 返回数据Service接口
 * 
 * @author 朱得糠
 * @date 2025-08-29
 */
public interface IPtServiceReturnService 
{
    /**
     * 查询返回数据
     * 
     * @param ID 返回数据主键
     * @return 返回数据
     */
    public PtServiceReturn selectPtServiceReturnByID(Long ID);

    /**
     * 查询返回数据列表
     * 
     * @param ptServiceReturn 返回数据
     * @return 返回数据集合
     */
    public List<PtServiceReturn> selectPtServiceReturnList(PtServiceReturn ptServiceReturn);

    /**
     * 新增返回数据
     * 
     * @param ptServiceReturn 返回数据
     * @return 结果
     */
    public int insertPtServiceReturn(PtServiceReturn ptServiceReturn);

    /**
     * 修改返回数据
     * 
     * @param ptServiceReturn 返回数据
     * @return 结果
     */
    public int updatePtServiceReturn(PtServiceReturn ptServiceReturn);

    /**
     * 批量删除返回数据
     * 
     * @param IDs 需要删除的返回数据主键集合
     * @return 结果
     */
    public int deletePtServiceReturnByIDs(Long[] IDs);

    /**
     * 删除返回数据信息
     * 
     * @param ID 返回数据主键
     * @return 结果
     */
    public int deletePtServiceReturnByID(Long ID);

    List<PtServiceReturn> selectPtServiceReturnBySrvId(String srvId);

    int deletePtServiceReturnBySrvID(String srvId);
}
